# Push notification metric

For FI notifications,

The event is setup with the name: FIP:AA:FINotificationResponse

Default to null wherever the metric is not applicable.

### Input Parameters

| Parameter                  | Description                                                                                                                                                                                                                                                                 |
| -------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| aa\_id                     | entity ID (Same as CR entry)                                                                                                                                                                                                                                                |
| timestamp                  | The date and time when the events occurred. The format must follow ISO 8601 (YYYY-MM-DDTHH:MM:SS.mmmZ).                                                                                                                                                                     |
| headers                    | The headers of the events data.                                                                                                                                                                                                                                             |
| fip\_id                    | The unique identifier for the financial information provider (FIP) that generated the event.                                                                                                                                                                                |
| notification\_event\_name  | The name of the notification event.: FIP:AA:FINotificationResponse                                                                                                                                                                                                          |
| success\_response\_percent | The percentage of FI Request calls for which the FI Notification is received and FI Status is marked as Ready. That is, total number of success notifications by total number of notifications received in the last 10 min.                                                 |
| failure\_response\_percent | The percentage of FI Request calls for which the FI Notification is received and FI Status is marked as DENIED or TIMEOUT. That is, total number of failure notifications by total number of notifications received in the last 10 min.                                     |
| no\_response\_percent      | The percentage of FI Request calls for which the FI Notification is not received. That is, total number of notifications received per FIP by total number of data requests created per FIP. NOTE: This metric is sent only once in 24hrs at midnight. It is null otherwise. |
| latency\_avg\_ms           | Average time taken between receiving 200 OK and FI Notification across all transactions                                                                                                                                                                                     |
| latencyP99\_ms             | 99th percentile of time taken between 200 OK and FI Notification, calculated from all values recorded in the time window.                                                                                                                                                   |
| latencyP95\_ms             | 95th percentile of time taken between 200 OK and FI Notification, calculated from all values recorded in the time window                                                                                                                                                    |
| latencyP50\_ms             | 50th percentile of time taken between 200 OK and FI Notification, calculated from all values recorded in the time window.                                                                                                                                                   |

Note: Latency should be calculated using the FI Notification in which all associated FIStatus entries have reached terminal states (**READY**, **DENIED**, or **TIMEOUT**), while excluding notifications that contain accounts still in transient states such as **DELIVERED** or **PENDING**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.sahamati.org.in/onboarding-to-saans/publish-data-to-sahamati/push-notification-metric.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
